Bug 126917 - Decoding of ioctl results missing
Summary: Decoding of ioctl results missing
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-29 01:32 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 4.5.6-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-12 08:19:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add decoding support (2.88 KB, patch)
2004-06-29 01:34 UTC, Ulrich Drepper
no flags Details | Diff

Description Ulrich Drepper 2004-06-29 01:32:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a2)
Gecko/20040627

Description of problem:
I'll attach a patch which implements decoding of the results of ioctl
for SIOCGIFNAME, SIOCGIFINDEX, and SIOCGIFCONF.

Version-Release number of selected component (if applicable):
4.5.4

How reproducible:
Always

Steps to Reproduce:
1.strace inet/bug-if1 in glibc test suite
2.
3.
    

Actual Results:  ioctl(3, SIOCGIFCONF, 0xfeef8fb8)       = 0
ioctl(3, SIOCGIFCONF, 0xfeef8fb8)       = 0
ioctl(3, SIOCGIFINDEX, 0xfeef8f50)      = 0
ioctl(3, SIOCGIFINDEX, 0xfeef8f70)      = 0
ioctl(3, SIOCGIFNAME, 0xfeef8f98)       = -1 ENODEV (No such device)


Expected Results:  ioctl(3, SIOCGIFCONF, {0 -> 64, NULL})  = 0
ioctl(3, SIOCGIFCONF, {64, {{"lo", {AF_INET, inet_addr("127.0.0.1")}},
{"eth0", {AF_INET, inet_addr("192.168.7.75")}}}}) = 0
ioctl(3, SIOCGIFINDEX, {1, "lo"})       = 0
ioctl(3, SIOCGIFINDEX, {4, "eth0"})     = 0
ioctl(3, SIOCGIFNAME, {5, ???})         = -1 ENODEV (No such device)


Additional info:

Comment 1 Ulrich Drepper 2004-06-29 01:34:37 UTC
Created attachment 101495 [details]
patch to add decoding support

Comment 2 Roland McGrath 2004-07-12 08:19:15 UTC
Included upstream and in new 4.5.6-1 rpms.


Note You need to log in before you can comment on or make changes to this bug.